CLANG-TBLGEN(1)

NAME
clang-tblgen - Description to C++ Code for Clang

SYNOPSIS

clang-tblgen [options] [filename]

DESCRIPTION

clang-tblgen is a program that translates compiler-related target description (.td) files into C++ code and other output formats. Most users of LLVM will not need to use this program. It is used only for writing parts of the compiler.

Please see tblgen - Description to C++ Code for a description of the filename argument and options, including the options common to all *-tblgen programs.

AUTHOR
Maintained by the LLVM Team (https://llvm.org/).

COPYRIGHT
2003-2026, LLVM Project